<div align="center"><a name="readme-top"></a>

<img height="160" src="https://raw.githubusercontent.com/microsoft/fluentui-emoji/main/assets/Lime/3D/lime_3d.png" />

<h1>Lime</h1>

Lime is an AI-powered CLI tool for generating high-quality commit messages, repository descriptions, and GitHub topics. It leverages advanced language models to automate repository management tasks with precision and efficiency.

[![PyPI - Version](https://img.shields.io/pypi/v/liblaf-lime?logo=PyPI&logoColor=3775A9&label=PyPI)](https://pypi.org/project/liblaf-lime/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/liblaf-lime?logo=PyPI&logoColor=3775A9)](https://pypi.org/project/liblaf-lime/)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/liblaf-lime?logo=Python&logoColor=3776AB&label=Python)](https://pypi.org/project/liblaf-lime/) <br />
[![GitHub contributors](https://img.shields.io/github/contributors/liblaf/lime)](https://github.com/liblaf/lime/graphs/contributors)
[![GitHub forks](https://img.shields.io/github/forks/liblaf/lime)](https://github.com/liblaf/lime/forks)
[![GitHub Repo stars](https://img.shields.io/github/stars/liblaf/lime)](https://github.com/liblaf/lime/stargazers)
[![GitHub Issues](https://img.shields.io/github/issues/liblaf/lime)](https://github.com/liblaf/lime/issues)
[![GitHub License](https://img.shields.io/github/license/liblaf/lime)](https://github.com/liblaf/lime/blob/main/LICENSE)

[Changelog](https://github.com/liblaf/lime/blob/main/CHANGELOG.md) · [Report Bug](https://github.com/liblaf/lime/issues) · [Request Feature](https://github.com/liblaf/lime/issues)

![banner](https://raw.githubusercontent.com/andreasbm/readme/master/assets/lines/rainbow.png)

</div>

## ✨ Features

- 🤖 **AI-Powered Commit Messages:** Automatically generates meaningful and conventional commit messages based on code changes, saving time and ensuring consistency;
- 🛠️ **Repository Management:** Provides tools to manage repository descriptions, README files, and topics with AI assistance, making repository maintenance effortless;
- 🚀 **Quick Setup:** Easy to install and configure, with a simple CLI interface that integrates seamlessly into your development workflow;
- 📚 **Documentation Generation:** Automatically generates help documentation and README sections, ensuring your project is well-documented and easy to understand;
- 🔄 **Git Integration:** Deep integration with Git, allowing you to manage commits, repositories, and GitHub interactions directly from the CLI;
- 🧠 **Customizable Prompts:** Supports custom prompt templates for generating commit messages, descriptions, and other content, tailored to your project's needs;
- 🌐 **GitHub API Integration:** Seamlessly interacts with GitHub to update repository descriptions and topics, ensuring your project is always up-to-date;
- 📦 **Modular Design:** Built with a modular architecture, allowing you to extend and customize functionality to fit your specific requirements;

<div align="right">

[![BACK TO TOP](https://img.shields.io/badge/-BACK_TO_TOP-black?style=flat-square)](#readme-top)

</div>

## 📦 Installation

To install `liblaf-lime`, run the following command:

```bash
uv tool install liblaf-lime
```

<div align="right">

[![BACK TO TOP](https://img.shields.io/badge/-BACK_TO_TOP-black?style=flat-square)](#readme-top)

</div>

## ⌨️ Local Development

You can use Github Codespaces for online development:

[![Open in GitHub Codespaces](https://github.com/codespaces/badge.svg)](https://codespaces.new/liblaf/lime)

Or clone it for local development:

```bash
git clone https://github.com/liblaf/lime.git
cd lime
uv sync
```

<div align="right">

[![BACK TO TOP](https://img.shields.io/badge/-BACK_TO_TOP-black?style=flat-square)](#readme-top)

</div>

## 🤝 Contributing

Contributions of all types are more than welcome, if you are interested in contributing code, feel free to check out our GitHub [Issues](https://github.com/liblaf/lime/issues) to get stuck in to show us what you're made of.

[![🤯 PR WELCOME](https://img.shields.io/badge/%F0%9F%A4%AF%20PR%20WELCOME-%E2%86%92-ffcb47?labelColor=black&style=for-the-badge)](https://github.com/liblaf/lime/pulls)

[![Contributors](https://contrib.rocks/image?repo=liblaf%2Flime)](https://github.com/liblaf/lime/graphs/contributors)

<div align="right">

[![BACK TO TOP](https://img.shields.io/badge/-BACK_TO_TOP-black?style=flat-square)](#readme-top)

</div>

---

#### 📝 License

Copyright © 2025 [liblaf](https://github.com/liblaf). <br />
This project is [MIT](https://github.com/liblaf/lime/blob/main/LICENSE) licensed.
