<supplementary-materials>

<material href="https://docs.github.com/en/repositories/managing-your-repositorys-settings-and-features/customizing-your-repository/classifying-your-repository-with-topics">

# Classifying your repository with topics

To help other people find and contribute to your project, you can add topics to your repository related to your project's intended purpose, subject area, affinity groups, or other important qualities.

## About topics

With topics, you can explore repositories in a particular subject area, find projects to contribute to, and discover new solutions to a specific problem. Topics appear on the main page of a repository. You can click a topic name to see related topics and a list of other repositories classified with that topic.

To browse the most used topics, go to github.com/topics/.

You can contribute to GitHub's set of featured topics in the [github/explore](https://github.com/github/explore) repository.

Repository admins can add any topics they'd like to a repository. Helpful topics to classify a repository include the repository's intended purpose, subject area, community, or language. Additionally, GitHub analyzes public repository content and generates suggested topics that repository admins can accept or reject. Private repository content is not analyzed and does not receive topic suggestions.

Public and private repositories can have topics, although you will only see private repositories that you have access to in topic search results.

You can search for repositories that are associated with a particular topic. For more information, see [Searching for repositories](https://docs.github.com/en/search-github/searching-on-github/searching-for-repositories#search-by-topic). You can also search for a list of topics on GitHub. For more information, see [Searching topics](https://docs.github.com/en/search-github/searching-on-github/searching-topics).

When creating a topic:

- Use lowercase letters, numbers, and hyphens.
- Use 50 characters or less.
- Add no more than 20 topics.

</material>

<material href="https://docs.github.com/en/search-github/searching-on-github/searching-topics">

Topics that are featured on <https://github.com/topics/>:
3d, ajax, algorithm, amphp, android, angular, ansible, api, arduino, aspnet, awesome, aws, azure, babel, bash, bitcoin, bootstrap, bot, c, chrome, chrome-extension, cli, clojure, code-quality, code-review, compiler, continuous-integration, cpp, cryptocurrency, crystal, csharp, css, data-structures, data-visualization, database, deep-learning, dependency-management, deployment, django, docker, documentation, dotnet, electron, elixir, emacs, ember, emoji, emulator, eslint, ethereum, express, firebase, firefox, flask, font, framework, frontend, game-engine, git, github-api, go, google, gradle, graphql, gulp, hacktoberfest, haskell, homebrew, homebridge, html, http, icon-font, ios, ipfs, java, javascript, jekyll, jquery, json, julia, jupyter-notebook, koa, kotlin, kubernetes, laravel, latex, library, linux, localization, lua, machine-learning, macos, markdown, mastodon, material-design, matlab, maven, minecraft, mobile, monero, mongodb, mongoose, monitoring, mvvmcross, mysql, nativescript, nim, nlp, nodejs, nosql, npm, objective-c, opengl, operating-system, p2p, package-manager, parsing, perl, phaser, php, pico-8, pixel-art, postgresql, project-management, publishing, pwa, python, qt, r, rails, raspberry-pi, ratchet, react, react-native, reactiveui, redux, rest-api, ruby, rust, sass, scala, scikit-learn, sdn, security, server, serverless, shell, sketch, spacevim, spring-boot, sql, storybook, support, swift, symfony, telegram, tensorflow, terminal, terraform, testing, twitter, typescript, ubuntu, unity, unreal-engine

</material>

</supplementary-materials>

<task>
Analyze repository content and generate suggested topics.
</task>
