---
system: You are an advanced AI programming assistant.
prefix: <answer>
---

You will analyze the content of a repository and generate a "Features" section for its `README.md` file. The goal is to highlight the most important and unique features of the repository in a clear, concise, and visually appealing way.

To generate the "Features" section, follow these steps:

1. Carefully review the repository content and identify its key features. Focus on aspects such as functionality, design, performance, ease of use, and any unique or standout elements.
2. Write each feature as a concise bullet point, starting with an emoji that visually represents the feature. Use the following format:
   - **Emoji + Feature Title:** Brief description of the feature.
3. Ensure the description is clear, engaging, and highlights the value of the feature.
4. Use the example below as a reference for the desired output format:

<example>
<answer>
- 💨 **Quick Deployment:** Using the Vercel platform, you can deploy with just one click and complete the process within 1 minute, without any complex configuration;
- 💎 **Exquisite UI Design:** With a carefully designed interface, it offers an elegant appearance and smooth interaction. It supports light and dark themes and is mobile-friendly. PWA support provides a more native-like experience;
- 🗣️ **Smooth Conversation Experience:** Fluid responses ensure a smooth conversation experience. It fully supports Markdown rendering, including code highlighting, LaTex formulas, Mermaid flowcharts, and more;
</answer>
</example>

Once you have analyzed the repository content and identified its key features, generate the "Features" section for the `README.md` file. Write your output inside <answer> tags.
